# H323PresenceNotification Class Reference

`#include <h460p.h>`

Inheritance diagram for H323PresenceNotification:

[legend]
Collaboration diagram for H323PresenceNotification:
[legend]

## Public Types

| e_hidden
| e_available
| e_online
| e_offline
| e_onCall
| e_voiceMail
| e_notAvailable
| e_generic
enum | States { e_hidden, e_available, e_online, e_offline, e_onCall, e_voiceMail, e_notAvailable, e_generic }

## Public Member Functions

void | SetPresenceState (States state, const PString &display=PString())
void | SetGenericState (const PString &state)
void | GetPresenceState (States &state, PString &display)
void | AddSubscriber (const OpalGloballyUniqueID &guid)
OpalGloballyUniqueID | GetSubscriber (PINDEX i)
void | RemoveSubscribers ()
void | AddAlias (const PString &alias)
PString | GetAlias ()

## Static Public Member Functions

static PString | GetStateString (unsigned state)

## Member Enumeration Documentation

enum H323PresenceNotification::States

Enumerator:

  e_hidden |
  e_available |
  e_online |
  e_offline |
  e_onCall |
  e_voiceMail |
  e_notAvailable |
  e_generic |

## Member Function Documentation

void H323PresenceNotification::AddAlias | ( | const PString & | alias | ) |

void H323PresenceNotification::AddSubscriber | ( | const OpalGloballyUniqueID & | guid | ) |

PString H323PresenceNotification::GetAlias | ( |  | ) |

void H323PresenceNotification::GetPresenceState | ( | States & | state,
|  | PString & | display |
| ) |  |  |

static PString H323PresenceNotification::GetStateString | ( | unsigned | state | ) | `[static]`

OpalGloballyUniqueID H323PresenceNotification::GetSubscriber | ( | PINDEX | i | ) |

void H323PresenceNotification::RemoveSubscribers | ( |  | ) |

void H323PresenceNotification::SetGenericState | ( | const PString & | state | ) |

void H323PresenceNotification::SetPresenceState | ( | States | state,
|  | const PString & | display = `PString()` |
| ) |  |  |

The documentation for this class was generated from the following file:

- h460p.h